summaryrefslogtreecommitdiffstats
path: root/examples/h5dsm_test.sh
diff options
context:
space:
mode:
authorNeil Fortner <nfortne2@hdfgroup.org>2017-05-21 21:28:26 (GMT)
committerNeil Fortner <nfortne2@hdfgroup.org>2017-05-21 21:28:26 (GMT)
commitd91d6d3a4c068424f60a0eb9671c4843f372b1d0 (patch)
treeb52d6874fd4f897b445412362dda91f4f2136f79 /examples/h5dsm_test.sh
parentde0682627b39a6af2009b001791ddce4c333db68 (diff)
downloadhdf5-d91d6d3a4c068424f60a0eb9671c4843f372b1d0.zip
hdf5-d91d6d3a4c068424f60a0eb9671c4843f372b1d0.tar.gz
hdf5-d91d6d3a4c068424f60a0eb9671c4843f372b1d0.tar.bz2
Add support for variable length types (not within compound or array, with no sub-type conversions) with attributes. Added h5dsm_tvlen.c to test this. Other minor fixes/cleanup.
Diffstat (limited to 'examples/h5dsm_test.sh')
-rwxr-xr-xexamples/h5dsm_test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/examples/h5dsm_test.sh b/examples/h5dsm_test.sh
index 5b7eda6..c38e2ca 100755
--- a/examples/h5dsm_test.sh
+++ b/examples/h5dsm_test.sh
@@ -552,6 +552,14 @@ if test $? -ne 0; then
exit 1
fi
+# --------------- Variable Length types --------------- #
+echo h5dsm_tvlen
+orterun -np 1 $EXEC_ARGS ./h5dsm_tvlen $POOL_UUID -q
+if test $? -ne 0; then
+ echo FAILED
+ exit 1
+fi
+
# --------------- Output Comparison --------------- #
sed -i -e 's/#.*//' -e 's/[ ^I]*$//' -e '/^$/ d' h5dsm_test.out
echo cmp h5dsm_test.out h5dsm_test.out.exp